#### D.6.16.2 KSconvert

Procedure from library `kskernel.lib` (see kskernel_lib).

Usage:
  KSconvert(matrix M);
  M is a matrix of coefficients of the generators of
  the kernel of Kodaira-Spencer map in variables T(i)
  from the basering. To be called after the procedure
  KSker(p,q)

Return:
  nothing; exports ring KSring2 and matrix KSkernel2 within it, such that KSring2 resp. KSkernel2 are in variables
  T(w) with weights -w. These weights are computed
  in the procedure KSker(p,q)

Example:

    LIB "kskernel.lib";
    int p=6;
    int q=7;
    KSker(p,q);
    setring Kskernel::KSring;
    KSconvert(KSkernel);
    ==> // ** `KSring2` is already global
    setring Kskernel::KSring2;
    print(KSkernel2);
    ==> 0,     0,     0,             0,             0,             2*T(2),
    ==> 0,     0,     0,             0,             0,             3*T(3),
    ==> 0,     0,     0,             0,             0,             4*T(4),
    ==> 0,     0,     0,             2*T(2),        3*T(3),        9*T(9),
    ==> 0,     0,     0,             3*T(3),        KSkernel2[5,5],10*T(10),
    ==> 2*T(2),3*T(3),KSkernel2[6,3],KSkernel2[6,4],KSkernel2[6,5],16*T(16)

User manual for Singular version 4.4.1, 2025, generated by texi2html.